> ## Documentation Index
> Fetch the complete documentation index at: https://developer.kyckr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Documents

> Retrieve a list of available documents for a company.  After finding a document of interest, use the Create Order API to order a copy of the document.



## OpenAPI

````yaml /openapi/company_v2.yaml get /companies/{kyckrId}/documents
openapi: 3.0.3
info:
  title: Kyckr Companies V2 API
  version: '2.0'
  contact:
    url: https://www.kyckr.com
  description: |
    Kyckr Companies V2 API
  license:
    name: Kyckr API License
    url: https://www.kyckr.com/legal
  termsOfService: https://www.kyckr.com/legal
servers:
  - url: https://api.kyckr.com/v2
    description: Production
  - url: https://test-api.kyckr.com/v2
    description: Testing
security:
  - AuthHeader: []
tags:
  - name: Companies
  - name: Orders
  - name: PREVIEW UBO Verify
    description: >-
      Endpoints for analyzing company ownership structure and ultimate
      beneficial owners
paths:
  /companies/{kyckrId}/documents:
    parameters:
      - $ref: '#/components/parameters/kyckrId'
      - $ref: '#/components/parameters/customerReference'
    get:
      tags:
        - Companies
      summary: Documents
      description: >-
        Retrieve a list of available documents for a company.  After finding a
        document of interest, use the Create Order API to order a copy of the
        document.
      operationId: get-companies-kyckrId-documents
      parameters:
        - schema:
            type: string
          in: query
          name: continuationKey
          description: >-
            Opaque token returned in the previous response. When provided, the
            API returns the next page of documents (e.g. next 100 filings). When
            the previous response had no continuationKey, there are no more
            pages.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponse'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/DocumentDescription'
                      continuationKey:
                        type: string
                        description: >-
                          When present, pass this value as the continuationKey
                          query parameter on the next request to retrieve the
                          next page of documents. When absent, there are no more
                          pages.
                        nullable: true
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
        '403':
          $ref: '#/components/responses/403Response'
        '404':
          $ref: '#/components/responses/404Response'
        '429':
          $ref: '#/components/responses/429Response'
components:
  parameters:
    kyckrId:
      name: kyckrId
      in: path
      required: true
      schema:
        type: string
      description: Kyckr company reference, a shared format, usable across our V2 APIs
      example: GB|MTE2NTUyOTA
    customerReference:
      name: customerReference
      in: query
      required: false
      schema:
        type: string
      description: Optional reference supplied by customer for tracking purposes
  schemas:
    BaseResponse:
      title: BaseResponse
      type: object
      properties:
        orderId:
          type: number
          example: 12345
          description: The related orderId.
        correlationId:
          type: string
          description: "The related correlationId to this request, for support purposes. \r\n"
        customerReference:
          type: string
          description: A customer provided reference, which appears in the order list.
        timeStamp:
          type: string
          format: date-time
          description: The UTC time at which the request occurred.
        details:
          type: string
          description: 'The response status details for the current request.  '
        cost:
          $ref: '#/components/schemas/Cost'
        links:
          type: object
          properties:
            self:
              type: string
              format: uri-reference
              example: /orders/12345
      description: ''
    DocumentDescription:
      title: DocumentDescription
      type: object
      properties:
        id:
          type: string
          description: Product ID
        cost:
          $ref: '#/components/schemas/Cost'
        name:
          type: string
          description: Name of document
          example: Form 15 - Annual Accounts 2021/22
        documentDate:
          description: The date associated with the document, usually the filing date
          type: string
          format: date
        category:
          type: string
          description: Type of document
          example: Annual Accounts
        deliveryTimeMinutes:
          type: integer
          description: Target delivery time in minutes
          example: 15
        documentFormat:
          type: array
          description: A list of mime-types for files that will be returned for an order
          example:
            - application/pdf
          minItems: 1
          uniqueItems: true
          items:
            type: string
            enum:
              - application/pdf
              - application/json
              - application/zip
              - application/xml
        documentDatapoints:
          type: object
          properties:
            companyDetails:
              type: boolean
            directors:
              type: boolean
            shareholders:
              type: boolean
            declaredBeneficialOwners:
              type: boolean
    Cost:
      type: object
      description: Cost of an item
      properties:
        type:
          type: string
          enum:
            - credit
            - lite
          example: credit
        value:
          type: number
          example: 3
    ProblemDetails:
      title: Problem Details
      type: object
      properties:
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        errors:
          type: array
          items:
            type: string
  responses:
    400Response:
      description: Bad request
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/BaseResponse'
              - type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ProblemDetails'
          examples:
            Missing Parameter:
              value:
                orderId: 12345
                correlationId: string
                customerReference: string
                timeStamp: '2019-08-24T14:15:22Z'
                details: string
                cost:
                  type: credit
                  value: 0
                links:
                  self: ../dictionary
                data:
                  type: https://httpstatuses.com/400
                  title: Missing Parameter
                  detail: The `isoCode` parameter is required
                  errors: []
    401Response:
      description: Unauthorized
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/BaseResponse'
              - type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ProblemDetails'
          examples:
            Unauthorized:
              value:
                orderId: 12345
                correlationId: string
                customerReference: string
                timeStamp: '2019-08-24T14:15:22Z'
                details: string
                cost:
                  type: credit
                  value: 0
                links:
                  self: ../dictionary
                data:
                  type: https://httpstatuses.com/401
                  title: Unauthorized
                  detail: Please authorize before making requests
                  errors: []
    403Response:
      description: Forbidden
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/BaseResponse'
              - type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ProblemDetails'
          examples:
            Forbidden:
              value:
                orderId: 12345
                correlationId: string
                customerReference: string
                timeStamp: '2019-08-24T14:15:22Z'
                details: string
                cost:
                  type: credit
                  value: 0
                links:
                  self: ../dictionary
                data:
                  type: https://httpstatuses.com/403
                  title: Forbidden
                  detail: This feature is not available on this account
                  errors: []
    404Response:
      description: Not Found
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/BaseResponse'
              - type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ProblemDetails'
          examples:
            Not Found:
              value:
                orderId: 12345
                correlationId: string
                customerReference: string
                timeStamp: '2019-08-24T14:15:22Z'
                details: string
                cost:
                  type: credit
                  value: 0
                links:
                  self: ../dictionary
                data:
                  type: https://httpstatuses.com/404
                  title: Not Found
                  detail: This resource could not be found
                  errors: []
    429Response:
      description: Too many requests
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/BaseResponse'
              - type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ProblemDetails'
          examples:
            Rate limit exceeded:
              value:
                orderId: 12345
                correlationId: string
                customerReference: string
                timeStamp: '2019-08-24T14:15:22Z'
                details: string
                cost:
                  type: credit
                  value: 0
                links:
                  self: ../dictionary
                data:
                  type: https://httpstatuses.com/429
                  title: Too Many Requests
                  detail: >-
                    This service only allows 50 requests within a 10 minute
                    period
                  errors: []
  securitySchemes:
    AuthHeader:
      type: http
      scheme: bearer

````